// You can import API functions like this from D3.js.
import { select } from 'd3';

// You can import local ES6 modules like this. See message.js!
/*import { message } from './myMessage';
console.log("gz")*/

const svg = select('svg');

// This line uses D3 to set the text of the message div.
select('#message').text(message);

console.log(window.innerHeight)
console.log(window.innerWidth)

const width = +svg.attr('width');
const height = +svg.attr('height');

const circleGroup = svg
	.append('g')
	.attr('transform',
        `translate(${width / 2}, ${height / 2})`
  );

function getNbAleatoire(min, max){
  return Math.random() * (max - min) + min;
}

circleGroup
  .append('circle')
  .attr('cx', -150)
  .attr('fill', 'green')
  .attr('r', 50)
	.on("mouseover", function() {
  console.log(this);
  select(this).style('fill', 'yellow')
  	.transition()
    .duration(2000)
    .attr('cx', getNbAleatoire(-width/2, width/2))
  	.attr('cy', getNbAleatoire(-height/2, height/2));
  })
  .on("mouseout", function() {
    //console.log(this);
    select(this).style('fill', 'green');
  });

circleGroup
  .append('circle')
  .attr('fill', 'blue')
  .attr('r', 50)
  .on("mouseover", function() {
  console.log(this);
  select(this).style('fill', 'yellow')
  	.transition()
    .duration(2000)
    .attr('cx', getNbAleatoire(-width/2, width/2))
  	.attr('cy', getNbAleatoire(-height/2, height/2));
	})
	.on("mouseout", function() {
    //console.log(this);
    select(this).style('fill', 'blue');
  });

const circle3 = circleGroup
  .append('circle')
  .attr('fill', 'red')
  .attr('cx', 150)
  .attr('r', 50)
  .on('mouseover', function () {
  circle3.attr('fill', 'black');
  })
  .on("mouseover", function() {
    console.log(this);
    select(this).style('fill', 'yellow')
      .transition()
      .duration(2000)
      .attr('cx', getNbAleatoire(-width/2, width/2))
      .attr('cy', getNbAleatoire(-height/2, height/2));
  })
  .on('mouseout', function(){
  	//d3.select(this).attr('fill', 'red')
    select(this).style('fill', 'red');
  })
;

function moveCircles(circle3) {
  circle3
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${-100})` 
    )
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${0})`
    );  
}

circleGroup
	.append('rect')
	.attr('x', -50)
	.attr('y', -200)
	.attr('width', 100)
	.attr('height', 50)
	.attr('fill', 'black')
  .on('click', function() {
    moveCircles(circle3)
  })

console.log(height);
console.log(width);

svg.append('circle')
.attr('cx', width/2)
.attr('cy', height/2)
.attr('r', 50)
.style('fill', 'blue');

svg.append('circle')
.attr('cx', width/2)
.attr('cy', height/2)
.attr('r', 30)
.style('fill', 'orange')
.on("mouseover", function() {
  console.log(this);
  select(this).style('fill', 'yellow')
    .attr('cx', Math.random() * (width))
  	.attr('cy', Math.random() * (height));
})
.on("mouseout", function() {
  console.log(this);
  select(this).style('fill', 'orange');
})